/*
 * @(#)AST.java                       
 * 
 * Revisions and updates (c) 2022-2023 Sandy Brownlee. alexander.brownlee@stir.ac.uk
 * 
 * Original release:
 *
 * Copyright (C) 1999, 2003 D.A. Watt and D.F. Brown
 * Dept. of Computing Science, University of Glasgow, Glasgow G12 8QQ Scotland
 * and School of Computer and Math Sciences, The Robert Gordon University,
 * St. Andrew Street, Aberdeen AB25 1HG, Scotland.
 * All rights reserved.
 *
 * This software is provided free for educational use only. It may
 * not be used for commercial purposes without the prior written permission
 * of the authors.
 */

package triangle.abstractSyntaxTrees;

import triangle.codeGenerator.entities.RuntimeEntity;
import triangle.syntacticAnalyzer.SourcePosition;

public abstract class AbstractSyntaxTree {

	private final SourcePosition position;

	public AbstractSyntaxTree(SourcePosition position) {
		this.position = position;
		entity = null;
	}

	public SourcePosition getPosition() {
		return position;
	}

	public RuntimeEntity entity;
}
